Stavo installando python3.11 (avevo già installato python 3.10) e all'improvviso non riesco più ad usare il terminale e ad aprire "software updates", in alto a destra compare il disegnino del divieto. aprendo l'altro terminal con control alt f5 e digitando 'sudo apt install -f' ottengo il seguente errore:

/var/lib/dpkg/info/python3-commandnotfound.postinst:6: py3compile:not founddpkg:error processing package python3-paramiko (--configure):
package is in a very bad inconsistent state; you should reinstall it before attempting configurationErrors were encountered while processing:
python3-commandnotfoundpython3-paramiko
E: Sub-process /usr/bin/dpkg returned an error code (1)

ho provato in mille modi ma non sono riuscita a risolverlo, grazie!

chiesto 26 Jan, 15:00

sissuan's gravatar image

sissuan
201

modificato 26 Jan, 16:24

enzotib's gravatar image

enzotib ♦♦
14.1k113187

python è uno degli strumenti essenziali della distribuzione, diverso software fondamentale dipende da questo e non è consigliabile smanettarci.
Magari avresti dovuto farlo in un container o in un virtualenv o comunque in modo da non alterare il sistema di base.
Non saprei proprio come uscirne

(26 Jan, 16:25) enzotib ♦♦ enzotib's gravatar image

Ciao, grazie della risposta! Purtroppo non sono molto ferrata con Ubuntu. Probabilmente l'unica soluzione possibile è rifare la reinstallazione di ubuntu

(26 Jan, 16:44) sissuan sissuan's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×186
×52
×40
×17

domanda posta: 26 Jan, 15:00

domanda visualizzata: 62 volte

ultimo aggiornamento: 26 Jan, 16:44

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.